%define	tversion	3.3
%define icumaj		34

Summary:	An X Window System based IBM 3278/3279 terminal emulator
Name:		x3270
Version:	3.3.4p6
Release:	%mkrel 4
License:	MIT
Group:		Terminals
URL:		http://www.geocities.com/SiliconValley/Peaks/7814/
Source:		http://prdownloads.sourceforge.net/x3270/x3270-%{version}.tar.bz2

Requires(pre):	xorg-x11
Requires(post):	xorg-x11
BuildRequires:	imake rman bdftopcf
BuildRequires:	icu%{icumaj}-devel openssl-devel 
BuildRequires:	X11-devel dos2unix icu
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The x3270 program opens a window in the X Window System which emulates
the actual look of an IBM 3278/3279 terminal, commonly used with
mainframe applications. x3270 also allows you to telnet to an IBM host
from the x3270 window.

Install the x3270 package if you need to access IBM hosts using an
IBM 3278/3279 terminal emulator.

%prep
%setup -q -n %{name}-%{tversion}

%build
#export PROJECTROOT=%{_prefix}
%configure	--enable-ssl \
		--with-fontdir=%{_datadir}/fonts/misc

%make PROJECTROOT=%{_prefix}
# (sb) hack to get around ProjectRoot that insists on 
# getting picked up from broken site.def
#rm -f *.gz
#%make

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(x3270): \
needs=X11 \
section=System/Terminals \
title="X3270" \
longtitle="IBM 3270 Terminal Emulator" \
command="x3270" \
icon="terminals_section.png" \
xdg="true"
EOF
chmod 0644 %{buildroot}%{_menudir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=X3270
Comment=IBM 3270 Terminal Emulator
Exec=%{_bindir}/x3270
Icon=terminals_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=TerminalEmulator;X-MandrivaLinux-System-Terminals;
EOF

# (sb) hack to get around ProjectRoot that insists on 
# getting picked up from broken site.def
sed -i 's|X11R6/bin|bin|' Makefile
sed -i 's|/usr/X11R6/man|%{_mandir}|' Makefile

%makeinstall_std install.man PROJECTROOT=%{_prefix} MANPATH=%{_mandir}

install -m644 X3270.xad -D %{buildroot}%{_sysconfdir}/X11/app-defaults/X3270

rm -f %buildroot%{_datadir}/fonts/misc/fonts.dir

# David - 3.2.14 - Workaround to don't requires stuff in /usr/local
# (sb) tradeoff rpmlint doesn't like non-executable scripts, but
# I'd rather not require expect and ksh
chmod 0644 Examples/*.{expect,ksh}
chmod 0755 Examples/*.{sh,bash}

# (sb) make rpmlint happier
chmod 0644 html/*.html
dos2unix -U -f html/Brackets.html
dos2unix -U -f html/Build.html
dos2unix -U -f html/Keymap.html
sed -i 's|usr/local|usr|g' Examples/peer_script.expect
sed -i 's|usr/local|usr|g' Examples/cms_logon.bash
chmod -x %buildroot%{_sysconfdir}/%{name}/icudt*

# (sb) old /usr/X11R6/lib/doc/html seems to be gone now - just catch this with %doc
rm -fr %buildroot%{_prefix}/X11R6/lib/X11/doc

%clean
rm -rf %{buildroot}

%post
mkfontdir %{_datadir}/fonts/misc
%update_menus

%postun
mkfontdir %{_datadir}/fonts/misc
%clean_menus

%files
%defattr(-,root,root)
%doc Examples html
%{_bindir}/%{name}
%{_bindir}/pr3287
%{_bindir}/x3270if
%{_datadir}/fonts/misc/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_menudir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/ibm_hosts
%config(noreplace) %{_sysconfdir}/%{name}/icudt%{icumaj}l*
%config(noreplace) %{_sysconfdir}/X11/app-defaults/*

%changelog
* Wed Aug 23 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.3.4p6-4mdv2007.0
- adapt to new font path
- fix path for man page x3270.1x
- cosmetics

* Thu Jul 06 2006 Stew Benedict <sbenedict@mandriva.com> 3.3.4p6-3mdv2007.0
- bug #22937 (fonts -> /usr/lib/X11/fonts/misc)
- would be nice if site.def defined a different ProjectRoot than /usr/X11R6
- tweak the rest of the paths for the new X layout
- rpmlint fixes, xdg menu

* Mon Jan 30 2006 Stew Benedict <sbenedict@mandriva.com> 3.3.4p6-2mdk
- more BuildRequires

* Mon Jan 30 2006 Stew Benedict <sbenedict@mandriva.com> 3.3.4p6-1mdk
- 3.3.4p6, BuildRequires, rpmlint

* Fri Jan 27 2006 Stew Benedict <sbenedict@mandriva.com> 3.3.4-4mdk
- rebuild against icu34-devel
- Requires(pre/post)

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 3.3.4-3mdk
- rebuilt against openssl-0.9.8a

* Tue May 10 2005 Arnaud de Lorbeau <devel@mandriva.com> 3.3.4-2mdk
- 3.3.4

* Thu Jul 22 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 3.3.2p1-2mdk
- Rebuild with ssl

* Mon May  3 2004 Stew Benedict <sbenedict@mandrakesoft.com> 3.3.2p1-1mdk
- 3.3.2p1, patch to build with current icu

* Mon Apr 28 2003 Stew Benedict <sbenedict@mandrakesoft.com> 3.2.20-1mdk
- 3.2.20, BuildRequires, spec-work

* Mon Jan  6 2003 Stew Benedict <sbenedict@mandrakesoft.com> 3.2.19-2mdk
- rebuild for new glibc/rpm, rpmlint fixes

* Wed May 15 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.19-1mdk
- new version
- misc spec file fixes
- rebuilt with latest system compiler (gcc3.1)

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 3.2.17-4mdk
- Fix menu entry (png icon)
- Add missing files

* Thu Aug 23 2001 David BAUDENS <baudens@mandrakesoft.com> 3.2.17-3mdk
- Move menu entry in right directory

* Tue Jul 10 2001 Stefan van der Eijk <stefan@eijk.nu> 3.2.17-2mdk
- BuildRequires: XFree86-devel

* Mon Jul 9 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 3.2.17-1mdk
- 3.2.17

* Thu Dec 27 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 3.2.15-2mdk
- 3.2.15 

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.2.14-2mdk
- Workaround for ??~#* RPM

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.2.14-1mdk
- 3.2.14

* Fri Sep 29 2000 David BAUDENS <baudens@mandrakesoft.com> 3.2.13-1mdk
- 3.2.13

* Fri Sep 29 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1.1.9-3mdk
- Fix conflict with XFree

* Sat Sep 09 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1.1.9-2mdk
- Allow to build
- Remove wmconfig support
- BM
- %%{update_menus} && %%{clean_menus}
- Spec clean up (aka remove crazy things)
- Fix menu entry (aka remove stupid hard coded PATH for icon and fix title)

* Sat Apr 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 3.1.1.9-1mdk
- Changed group to new groups
- updated to 3.1.1.9
- added HTML docs
- Added menu to spec file

* Wed Nov 03 1999 Jerome Martin <jerome@mandrakesoft.com>
- Rebuild for new distribution
- Minor Specfile cleanup

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- ibm_hosts needed %%config (#788)

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Marc Ewing <marc@redhat.com>
- new version
- added wmconfig entry

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
